﻿using System.Collections.ObjectModel;
using System.Windows.Controls;

namespace ID_460011
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.treeView1.ItemsSource = this.GenerateItems();
		}

		private ObservableCollection<DataItem> GenerateItems()
		{
			ObservableCollection<DataItem> itemsSource = new ObservableCollection<DataItem>();
			for (int i = 0; i < 5; i++)
			{
				DataItem d1 = new DataItem("DataItem " + i.ToString());
				for (int j = 0; j < 5; j++)
				{
					DataItem d2 = new DataItem("DataItem " + i.ToString() + "." + j.ToString());
					for (int k = 0; k < 5; k++)
					{
						DataItem d3 = new DataItem("DataItem " + i.ToString() + "." + j.ToString() + "." + k.ToString());
						d2.Children.Add(d3);
					}
					d1.Children.Add(d2);
				}
				itemsSource.Add(d1);
			}
			return itemsSource;
		}
	}

	public class DataItem
	{
		public DataItem(string name)
		{
			this.Name = name;
			this.Children = new ObservableCollection<DataItem>();
		}
		public string Name { get; set; }
		public ObservableCollection<DataItem> Children { get; set; }
	}
}
